Opened 13 months ago

Closed 3 months ago

#20896 closed defect (fixed)

Remove 0.2.9.4-alpha as a recommended version due to stale consensus bug?

Reported by: teor Owned by:
Priority: Medium Milestone:
Component: Core Tor/DirAuth Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Should we remove 0.2.9.4-alpha as a recommended version in the consensus?

It's affected by #20499, which causes relays to deliver stale consensuses to clients. We should really encourage operators on this version to upgrade.

Child Tickets

Change History (3)

comment:1 Changed 13 months ago by dgoulet

+1

I went over the changelog for 0.2.9.5-alpha and it doesn't seem bad to keep it for now a recommended version but definitely we shouldn't once 029 stable is out.

comment:2 Changed 13 months ago by teor

Let's hold this decision for now, it seems more versions might still be affected by #20499, see #20909.

comment:3 Changed 3 months ago by dgoulet

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.